apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion

    defaultConfig {
        //applicationId "com.yuyife.okgo"
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"
        flavorDimensions "default"
        javaCompileOptions {
            annotationProcessorOptions {
                includeCompileClasspath = true
            }
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        repositories {
            flatDir {
                dirs 'libs' //this way we can find the .aar file in libs folder
            }
        }
    }

    productFlavors {
        //开发环境
        dev {
        }

        sit {
        }

        pro {
        }
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    //   Gson
    //api  'com.squareup.retrofit2:converter-gson:2.1.0'
    api "com.google.code.gson:gson:$rootProject.ext.gsonVersion"

    //必须使用  github项目：https://github.com/jeasonlzy/okhttp-OkGo    其包含 okhttp 3.8.1
    api 'com.lzy.net:okgo:3.0.4'



    //以下三个选择添加，okrx和okrx2不能同时使用
    //    api 'com.lzy.net:okrx:1.0.2'
    //    api 'com.lzy.net:okrx2:2.0.2'
    //    api 'com.lzy.net:okserver:2.0.5

}
